Package pygccxml :: Package declarations :: Module dependencies :: Class dependency_info_t

# type dependency_info_t

source code

    object --+
             |
            dependency_info_t

Instance Methods

__init__(self, declaration, depend_on_it, access_type=None, hint=None) | source code

__str__(self) | source code

find_out_depend_on_declaration(self) if declaration depends on other declaration and not on some type this function will return reference to it. | source code

Properties
| declaration
| decl
| depend_on_it
| access_type
| hint the declaration, that report dependency can put some additional inforamtion about dependency.

Method Details

### __init__(self, declaration, depend_on_it, access_type=None, hint=None)
(Constructor)

source code

Overrides: object.__init__
  (inherited documentation)

### __str__(self)
(Informal representation operator)

source code

Overrides: object.__str__
  (inherited documentation)

### find_out_depend_on_declaration(self)

source code

if declaration depends on other declaration and not on some type this function will return reference to it. Otherwise None will be returned

Property Details

### declaration

### decl

### depend_on_it

### access_type

Get Method:
  _get_access_type(self)
Set Method:
  _set_access_type(self, access_type)

### hint

the declaration, that report dependency can put some additional inforamtion about dependency. It can be used later